#
# spec file for package gfbgraph
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define APIversion 0.2

Name:           gfbgraph
Version:        0.2.5
Release:        1.8
Summary:        Facebook Graph API access library
License:        LGPL-2.1-or-later
Group:          Development/Libraries/GNOME
URL:            https://gitlab.gnome.org/GNOME/libgfbgraph
Source:         https://download.gnome.org/sources/gfbgraph/0.2/%{name}-%{version}.tar.xz

BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk-doc
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(goa-1.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(rest-0.7)

%description
A GObject library for Facebook Graph API

%package -n libgfbgraph-0_2-0
Summary:        Facebook Graph API access library
Group:          System/Libraries

%description -n libgfbgraph-0_2-0
A GObject library for Facebook Graph API

%package -n typelib-1_0-GFBGraph-0_2
Summary:        Introspection bindings for the Facebook Graph API access library
Group:          System/Libraries

%description -n typelib-1_0-GFBGraph-0_2
Introspection bindings for the Facebook Graph API access library.

%package devel
Summary:        Development files for the Facebook Graph API access library
Group:          Development/Languages/C and C++
Requires:       libgfbgraph-0_2-0 = %{version}
Requires:       typelib-1_0-GFBGraph-0_2 = %{version}

%description devel
A GObject library for Facebook Graph API

This package contains header and linker information.

%package doc
Summary:        Documentation files for the %{name} package
Group:          Documentation/HTML
BuildArch:      noarch

%description doc
A GObject library for Facebook Graph API. This package contains the
documentation files for the %{name} package

%prep
%autosetup -p1

%build
%configure \
	--disable-static \
	--enable-gtk-doc \
	%{nil}
%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
# This should not be installed by make install - we package them as %%doc
rm -rf %{buildroot}/%{_prefix}/doc/libgfbgraph/

%ldconfig_scriptlets -n libgfbgraph-0_2-0

%files -n libgfbgraph-0_2-0
%license COPYING
%{_libdir}/libgfbgraph-%{APIversion}.so.*

%files -n typelib-1_0-GFBGraph-0_2
%{_libdir}/girepository-1.0/GFBGraph-0.2.typelib

%files devel
%{_datadir}/gir-1.0/GFBGraph-0.2.gir
%{_includedir}/gfbgraph-%{APIversion}/
%{_libdir}/libgfbgraph-%{APIversion}.so
%{_libdir}/pkgconfig/libgfbgraph-%{APIversion}.pc

%files doc
%doc AUTHORS NEWS ChangeLog README
%{_datadir}/gtk-doc/html/gfbgraph-0.2/

%changelog
* Sat Oct 30 2021 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 0.2.5:
  + Fix CVE-2021-39358 by forcing TLS certificate validation
  + Temporarily disable testcases.
- Replace post(un) handling with new ldconfig_scriptlets macro.
- Drop libtool BuildRequires and bootstrap call, no longer needed.
- Split out new doc subpackage.
* Sun May 17 2020 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 0.2.4:
  + Change Facebook Graph API version to v2.10.
  + Fix memory leaks of GFBGraphNode class.
  + Support g_autoptr for GFBGraphAlbum, GFBGraphNode,
    GFBGraphPhoto, GFBGraphUser.
  + Fix memory leaks of GFBGraphUser, GFBGraphSimpleAuthorizer,
    GFBGraphAlbum.
- Add libtool and gtk-doc BuildRequires and bootstrap package, the
  tarball is not bootstrapped.
- Modernize spec, update URL to new home, use correct description
  for typelib subpackage.
* Mon Mar  5 2018 jengelh@inai.de
- Fix SRPM group. Update summaries.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Sat Jul 18 2015 zaitor@opensuse.org
- Update to version 0.2.3:
  + The major update in this version is the support fo the version
    2.3 of the Facebook Graph API.
  + The changes include:
  - The tests has been improved to use the Facebook test API
    (creating a test user).
  - A node now can be linked to other (if allowed). This allow to
    publish data to Facebook! For the moment just albums and
    photos.
  - bgo#752380: Updated the API of Facebook Graph to version 2.3
    due deprecation of 1.0.
  - The documentation has been polished and now respect parallel
    installations.
* Mon Jan 20 2014 dimstar@opensuse.org
- Update to version 0.2.2:
  + Now with development documentation thanks to gtk-doc.
  + Also the node base class includes the modification date.
* Thu Dec 12 2013 dimstar@opensuse.org
- Initial package, version 0.2.1.
